> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 토큰 - 시가총액

> 토큰 시가총액 조회



## OpenAPI

````yaml /ko/api-reference/openapi-data-ko.yaml GET /v2/token/{chain}/{tokenAddress}/marketData
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 블록체인 관련 작업
  - name: Token
    description: 토큰 관련 작업
  - name: Trade
    description: 거래 관련 작업
  - name: Wallet
    description: 지갑 관련 작업
  - name: Dex
    description: DEX 관련 작업
  - name: Ranking
    description: 랭킹 관련 작업
  - name: DexPool
    description: DEX 풀 관련 작업
  - name: Watchlist
    description: 워치리스트 관련 작업
  - name: KYT
    description: KYT 관련 작업
  - name: Webhook
    description: Webhook 관련 작업
  - name: RedPacket
    description: 레드패킷 관련 작업
  - name: IPFS
    description: IPFS 관련 작업
  - name: DexScreener
    description: DexScreener 관련 작업
paths:
  /v2/token/{chain}/{tokenAddress}/marketData:
    get:
      tags:
        - Token
      summary: 토큰 - 시가총액
      description: 토큰 시가총액 조회
      operationId: get.marketData
      parameters:
        - name: chain
          in: path
          description: 지원되는 네트워크에 나열된 체인 이름
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddress
          in: path
          description: 토큰 주소
          required: true
          schema:
            type: string
          example: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
      responses:
        '200':
          description: 시가총액 조회
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenMarketData'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    TokenMarketData:
      type: object
      description: Token market data
      properties:
        athMarketCapInUsd:
          type:
            - string
            - 'null'
          description: |-
            ENTITY.TOKEN_MARKET_DATA.ATH_MARKET_CAP_IN_USD
            All-time-high market cap in USD (max observed since token creation).
          example: '9500000.00'
        bluechipHoldingsRatio:
          type:
            - string
            - 'null'
          description: 블루칩 보유량의 총 공급 대비 비율
          example: '0.05'
        bluechipTotalHolders:
          type:
            - string
            - 'null'
          description: 블루칩 지갑 홀더 수
          example: '10'
        bluechipTotalHoldings:
          type:
            - string
            - 'null'
          description: 블루칩 지갑의 총 보유량
          example: '50000'
        bundleHoldingsRatio:
          type:
            - string
            - 'null'
          description: 번들 보유량의 총 공급 대비 비율
          example: '0.018'
        bundleTotalHolders:
          type:
            - string
            - 'null'
          description: 번들 지갑 홀더 수
          example: '12'
        bundleTotalHoldings:
          type:
            - string
            - 'null'
          description: 번들 지갑의 총 보유량
          example: '18000'
        circulatingSupply:
          type:
            - string
            - 'null'
          description: 토큰 유통 공급량
          example: '900000'
        completionRatio:
          type:
            - string
            - 'null'
          description: 본딩 커브 완료율
          example: '1.0'
        creatorsHoldingsRatio:
          type:
            - string
            - 'null'
          description: 크리에이터 지갑 보유 비율(총 공급량 대비)
          example: '0.10'
        creatorsTotalHolders:
          type:
            - string
            - 'null'
          description: 크리에이터 지갑 보유자 수
          example: '1'
        creatorsTotalHoldings:
          type:
            - string
            - 'null'
          description: 크리에이터 지갑 총 보유량
          example: '100000000.00'
        devHoldingsRatio:
          type:
            - string
            - 'null'
          description: 개발자 보유량의 총 공급 대비 비율
          example: '0.005'
        devTotalHolders:
          type:
            - string
            - 'null'
          description: 개발자 지갑 홀더 수
          example: '3'
        devTotalHoldings:
          type:
            - string
            - 'null'
          description: 개발자 지갑의 총 보유량
          example: '5000'
        fdvInSol:
          type:
            - string
            - 'null'
          description: 네이티브 토큰 기준 완전 희석 가치
          example: '200000'
        fdvInUsd:
          type:
            - string
            - 'null'
          description: USD 기준 완전 희석 가치
          example: '200000'
        freshHoldingsRatio:
          type:
            - string
            - 'null'
          description: 신규 지갑 보유량의 총 공급 대비 비율
          example: '0.01'
        freshTotalHolders:
          type:
            - string
            - 'null'
          description: 신규 지갑 홀더 수
          example: '30'
        freshTotalHoldings:
          type:
            - string
            - 'null'
          description: 신규 지갑의 총 보유량
          example: '10000'
        holders:
          type:
            - string
            - 'null'
          description: 총 토큰 홀더 수
          example: '1000'
        insiderHoldingsRatio:
          type:
            - string
            - 'null'
          description: 인사이더 보유량의 총 공급 대비 비율
          example: '0.02'
        insiderTotalHolders:
          type:
            - string
            - 'null'
          description: 인사이더 지갑 홀더 수
          example: '5'
        insiderTotalHoldings:
          type:
            - string
            - 'null'
          description: 인사이더 지갑의 총 보유량
          example: '20000'
        kolHoldingsRatio:
          type:
            - string
            - 'null'
          description: KOL 보유량의 총 공급 대비 비율
          example: '0.03'
        kolTotalHolders:
          type:
            - string
            - 'null'
          description: KOL (핵심 오피니언 리더) 홀더 수
          example: '20'
        kolTotalHoldings:
          type:
            - string
            - 'null'
          description: KOL 지갑의 총 보유량
          example: '30000'
        marketCapInSol:
          type:
            - string
            - 'null'
          description: 네이티브 토큰 기준 시가총액
          example: '100000'
        marketCapInUsd:
          type:
            - string
            - 'null'
          description: USD 기준 시가총액
          example: '100000'
        maxPoolTvlInSol:
          type:
            - string
            - 'null'
          description: 네이티브 토큰 기준 최대 풀 TVL
          example: '1000.45'
        maxPoolTvlInUsd:
          type:
            - string
            - 'null'
          description: USD 기준 최대 풀 TVL
          example: '150000.00'
        maxSupply:
          type:
            - string
            - 'null'
          description: 토큰 최대 공급량
        phishingHoldingsRatio:
          type:
            - string
            - 'null'
          description: 피싱 지갑 보유 비율(총 공급량 대비)
          example: '0.0005'
        phishingTotalHolders:
          type:
            - string
            - 'null'
          description: 피싱으로 표시된 보유자 수
          example: '2'
        phishingTotalHoldings:
          type:
            - string
            - 'null'
          description: 피싱으로 표시된 지갑 총 보유량
          example: '50000.00'
        priceInNative:
          type:
            - string
            - 'null'
          description: 체인 네이티브 토큰 기준 가격
          example: '0.00000261383847574915906643405542'
        priceInSol:
          type:
            - string
            - 'null'
          description: 네이티브 토큰 기준 토큰 가격
          example: '0.00000261383847574915906643405542'
        priceInUsd:
          type:
            - string
            - 'null'
          description: USD 기준 토큰 가격
          example: '0.00000261383847574915906643405542'
        proHoldingsRatio:
          type:
            - string
            - 'null'
          description: 프로 트레이더 보유량의 총 공급 대비 비율
          example: '0.04'
        proTotalHolders:
          type:
            - string
            - 'null'
          description: 프로 트레이더 홀더 수
          example: '25'
        proTotalHoldings:
          type:
            - string
            - 'null'
          description: 프로 트레이더의 총 보유량
          example: '40000'
        ratHoldingsRatio:
          type:
            - string
            - 'null'
          description: 랫 트레이더 지갑 보유 비율(총 공급량 대비)
          example: '0.0012'
        ratTotalHolders:
          type:
            - string
            - 'null'
          description: 랫 트레이더 보유자 수
          example: '5'
        ratTotalHoldings:
          type:
            - string
            - 'null'
          description: 랫 트레이더 지갑 총 보유량
          example: '120000.00'
        sandwishHoldingsRatio:
          type:
            - string
            - 'null'
          description: 샌드위치 공격 보유량의 총 공급 대비 비율
          example: '0.015'
        sandwishTotalHolders:
          type:
            - string
            - 'null'
          description: 샌드위치 공격 지갑 홀더 수
          example: '8'
        sandwishTotalHoldings:
          type:
            - string
            - 'null'
          description: 샌드위치 공격 지갑의 총 보유량
          example: '15000'
        smartHoldingsRatio:
          type:
            - string
            - 'null'
          description: 스마트 머니 지갑 보유 비율(총 공급량 대비)
          example: '0.03'
        smartTotalHolders:
          type:
            - string
            - 'null'
          description: 스마트 머니 보유자 수
          example: '30'
        smartTotalHoldings:
          type:
            - string
            - 'null'
          description: 스마트 머니 지갑 총 보유량
          example: '3000000.00'
        sniperHoldingsRatio:
          type:
            - string
            - 'null'
          description: 스나이퍼 보유량의 총 공급 대비 비율
          example: '0.025'
        sniperTotalHolders:
          type:
            - string
            - 'null'
          description: 스나이퍼 지갑 홀더 수
          example: '15'
        sniperTotalHoldings:
          type:
            - string
            - 'null'
          description: 스나이퍼 지갑의 총 보유량
          example: '25000'
        top100HoldingsRatio:
          type:
            - string
            - 'null'
          description: 상위 100명 홀더의 총 공급 대비 비율
          example: '0.8'
        top100TotalHolders:
          type:
            - string
            - 'null'
          description: 상위 100 보유자 수
          example: '100'
        top100TotalHoldings:
          type:
            - string
            - 'null'
          description: 상위 100명 홀더의 총 보유량
          example: '800000'
        top10HoldingsRatio:
          type:
            - string
            - 'null'
          description: 상위 10명 홀더의 총 공급 대비 비율
          example: '0.5'
        top10TotalHolders:
          type:
            - string
            - 'null'
          description: 상위 10 보유자 수
          example: '10'
        top10TotalHoldings:
          type:
            - string
            - 'null'
          description: 상위 10명 홀더의 총 보유량
          example: '500000'
        top50HoldingsRatio:
          type:
            - string
            - 'null'
          description: 상위 50명 홀더의 총 공급 대비 비율
          example: '0.3'
        top50TotalHolders:
          type:
            - string
            - 'null'
          description: 상위 50 보유자 수
          example: '50'
        top50TotalHoldings:
          type:
            - string
            - 'null'
          description: 상위 50명 홀더의 총 보유량
          example: '300000'
        totalSupply:
          type:
            - string
            - 'null'
          description: 토큰 총 공급량
          example: '1000000'
        totalTvlInSol:
          type:
            - string
            - 'null'
          description: 네이티브 토큰 기준 총 예치 자산
          example: '1000000.45'
        totalTvlInUsd:
          type:
            - string
            - 'null'
          description: USD 기준 총 예치 자산
          example: '1000000.45'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````